<div class="input-group">

  <span class="input-group-btn">
    <button
      [ngClass]="nameClase"
      type="button"
      (click)="cambiarValor(-5)">
      <i class="fa fa-minus"></i>
    </button>
  </span>

  <input type="number"
         class="form-control"
         placeholder="Progreso"
         (ngModelChange)="onChange($event)"
         [(ngModel)]="progreso"
         [ngClass]="{'is-invalid':progreso > 100 || progreso < 0}"
  >

  <span class="input-group-btn">
      <button
        [ngClass]="nameClase"
        type="button"
        (click)="cambiarValor(5)"
      >
        <i class="fa fa-plus"></i>
      </button>
  </span>

</div>
